Package org.drinkless.tdlib

# Class TdApi.EmailAddressResetStateAvailable

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmailAddressResetState
org.drinkless.tdlib.TdApi.EmailAddressResetStateAvailable

Enclosing class:
  `TdApi`

public static class TdApi.EmailAddressResetStateAvailable extends TdApi.EmailAddressResetState
Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.EmailAddressResetState

  `TdApi.EmailAddressResetState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `waitPeriod`
  Time required to wait before the email address can be reset; 0 if the user is subscribed to Telegram Premium.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailAddressResetStateAvailable()`
  Email address can be reset after the given period.
  `EmailAddressResetStateAvailable(int waitPeriod)`
  Email address can be reset after the given period.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### waitPeriod

    public int waitPeriod
    Time required to wait before the email address can be reset; 0 if the user is subscribed to Telegram Premium.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmailAddressResetStateAvailable

    public EmailAddressResetStateAvailable()
    Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.

  - ### EmailAddressResetStateAvailable

    public EmailAddressResetStateAvailable(int waitPeriod)
    Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.
    Parameters:
      `waitPeriod` - Time required to wait before the email address can be reset; 0 if the user is subscribed to Telegram Premium.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.EmailAddressResetState`
    Returns:
      this.CONSTRUCTOR